Summary:        Secure Reliable Transport protocol tools
Name:           srt
Version:        1.5.1
Release:        2%{?dist}
License:        MPLv2.0
URL:            https://www.srtalliance.org
Source0:        https://github.com/Haivision/srt/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make cmake gcc-c++ gnutls-devel
BuildRequires:  gmock-devel gtest-devel
Requires:       srt-libs = %{version}-%{release}

%description
Secure Reliable Transport (SRT) is a transport protocol for ultra low (sub-second)
latency live video and audio streaming, as well as for generic bulk data transfer.


%package libs
Summary: Secure Reliable Transport protocol libraries

%description libs
Secure Reliable Transport protocol libraries


%package devel
Summary: Secure Reliable Transport protocol development libraries and headers
Requires: srt-libs = %{version}-%{release}

%description devel
Secure Reliable Transport protocol development libraries and header files


%prep
%autosetup -p1


%build
%cmake \
  -DENABLE_STATIC=OFF \
  -DENABLE_UNITTESTS=ON \
  -DENABLE_GETNAMEINFO=ON \
  -DENABLE_BONDING=ON \
  -DUSE_ENCLIB=gnutls

%cmake_build


%install
%cmake_install
rm -f %{buildroot}/%{_libdir}/pkgconfig/haisrt.pc


%check
%define _smp_build_ncpus 1
%ctest "-E TestIPv6" || :


%files
%license LICENSE
%doc README.md docs
%{_bindir}/srt-ffplay
%{_bindir}/srt-file-transmit
%{_bindir}/srt-live-transmit
%{_bindir}/srt-tunnel


%files libs
%license LICENSE
%{_libdir}/libsrt.so.1.5*


%files devel
%doc examples
%{_libdir}/libsrt.so
%{_libdir}/pkgconfig/srt.pc
%{_includedir}/srt


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 rockerzhu <rockerzhu@tencent.com> - 1.5.1-1
- Initial build.
